Page MenuHomePhabricator

[Bug] Not possible to unwatch red links in Watchlist
Closed, ResolvedPublic

Description

Steps to reproduce

Use testing criteria from https://phabricator.wikimedia.org/T189066
Visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:EditWatchlist

Expected:
Any red links should be accompanied by a green watch star. Clicking the star and refreshing the page should make the article disappear from the watchlist

Actual:


I cannot remove the page from my watchlist

Environments observed

All

Acceptance criteria

  • Red links loaded via PHP on this page should show as green (see related T191454)
  • When scrolling newly loaded red links will also be accompanied by a green watchstar
  • When clicking the green watchstar of a red link the page is removed from the watchstar

Developer notes

A red link has no id. When clicked it triggers an API request using pageid 0 which is incorrect. Clicking it should use the title in the API request rather than the id when id is not available.

Event Timeline

Jdlrobson created this task.Apr 4 2018, 7:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2018, 7:05 PM
ovasileva triaged this task as Medium priority.Apr 6 2018, 9:20 AM

Should be fixed by T191454, but we'll want to check when that's done.

Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: ABorbaWMF.

This should be fixed by T191454. @ABorbaWMF could you please verify? Thank you!

ovasileva closed this task as Resolved.May 4 2018, 9:47 AM
ovasileva updated the task description. (Show Details)
ovasileva added a subscriber: ovasileva.

all looks good then